﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace OperationalRiskException.Services.EmailReference {
    using System.Runtime.Serialization;
    using System;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.CollectionDataContractAttribute(Name="ArrayOfString", Namespace="http://tempuri.org/", ItemName="string")]
    [System.SerializableAttribute()]
    public class ArrayOfString : System.Collections.Generic.List<string> {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="FileAttach", Namespace="http://tempuri.org/")]
    [System.SerializableAttribute()]
    public partial class FileAttach : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private byte[] FileByteField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string FileNameField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false)]
        public byte[] FileByte {
            get {
                return this.FileByteField;
            }
            set {
                if ((object.ReferenceEquals(this.FileByteField, value) != true)) {
                    this.FileByteField = value;
                    this.RaisePropertyChanged("FileByte");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false)]
        public string FileName {
            get {
                return this.FileNameField;
            }
            set {
                if ((object.ReferenceEquals(this.FileNameField, value) != true)) {
                    this.FileNameField = value;
                    this.RaisePropertyChanged("FileName");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="EmailReference.ServiceSoap")]
    public interface ServiceSoap {
        
        // CODEGEN: Generating message contract since element name recipient from namespace http://tempuri.org/ is not marked nillable
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/SendMail", ReplyAction="*")]
        OperationalRiskException.Services.EmailReference.SendMailResponse SendMail(OperationalRiskException.Services.EmailReference.SendMailRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/SendMail", ReplyAction="*")]
        System.Threading.Tasks.Task<OperationalRiskException.Services.EmailReference.SendMailResponse> SendMailAsync(OperationalRiskException.Services.EmailReference.SendMailRequest request);
        
        // CODEGEN: Generating message contract since element name recipients from namespace http://tempuri.org/ is not marked nillable
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/SendMailToMany", ReplyAction="*")]
        OperationalRiskException.Services.EmailReference.SendMailToManyResponse SendMailToMany(OperationalRiskException.Services.EmailReference.SendMailToManyRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/SendMailToMany", ReplyAction="*")]
        System.Threading.Tasks.Task<OperationalRiskException.Services.EmailReference.SendMailToManyResponse> SendMailToManyAsync(OperationalRiskException.Services.EmailReference.SendMailToManyRequest request);
        
        // CODEGEN: Generating message contract since element name fileAttach from namespace http://tempuri.org/ is not marked nillable
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/SendMailAttachment", ReplyAction="*")]
        OperationalRiskException.Services.EmailReference.SendMailAttachmentResponse SendMailAttachment(OperationalRiskException.Services.EmailReference.SendMailAttachmentRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/SendMailAttachment", ReplyAction="*")]
        System.Threading.Tasks.Task<OperationalRiskException.Services.EmailReference.SendMailAttachmentResponse> SendMailAttachmentAsync(OperationalRiskException.Services.EmailReference.SendMailAttachmentRequest request);
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class SendMailRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="SendMail", Namespace="http://tempuri.org/", Order=0)]
        public OperationalRiskException.Services.EmailReference.SendMailRequestBody Body;
        
        public SendMailRequest() {
        }
        
        public SendMailRequest(OperationalRiskException.Services.EmailReference.SendMailRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class SendMailRequestBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string recipient;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=1)]
        public string sender;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=2)]
        public string subject;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=3)]
        public string body;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=4)]
        public OperationalRiskException.Services.EmailReference.ArrayOfString CCs;
        
        public SendMailRequestBody() {
        }
        
        public SendMailRequestBody(string recipient, string sender, string subject, string body, OperationalRiskException.Services.EmailReference.ArrayOfString CCs) {
            this.recipient = recipient;
            this.sender = sender;
            this.subject = subject;
            this.body = body;
            this.CCs = CCs;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class SendMailResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="SendMailResponse", Namespace="http://tempuri.org/", Order=0)]
        public OperationalRiskException.Services.EmailReference.SendMailResponseBody Body;
        
        public SendMailResponse() {
        }
        
        public SendMailResponse(OperationalRiskException.Services.EmailReference.SendMailResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class SendMailResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string SendMailResult;
        
        public SendMailResponseBody() {
        }
        
        public SendMailResponseBody(string SendMailResult) {
            this.SendMailResult = SendMailResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class SendMailToManyRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="SendMailToMany", Namespace="http://tempuri.org/", Order=0)]
        public OperationalRiskException.Services.EmailReference.SendMailToManyRequestBody Body;
        
        public SendMailToManyRequest() {
        }
        
        public SendMailToManyRequest(OperationalRiskException.Services.EmailReference.SendMailToManyRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class SendMailToManyRequestBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public OperationalRiskException.Services.EmailReference.ArrayOfString recipients;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=1)]
        public string sender;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=2)]
        public string subject;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=3)]
        public string body;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=4)]
        public OperationalRiskException.Services.EmailReference.ArrayOfString CCs;
        
        public SendMailToManyRequestBody() {
        }
        
        public SendMailToManyRequestBody(OperationalRiskException.Services.EmailReference.ArrayOfString recipients, string sender, string subject, string body, OperationalRiskException.Services.EmailReference.ArrayOfString CCs) {
            this.recipients = recipients;
            this.sender = sender;
            this.subject = subject;
            this.body = body;
            this.CCs = CCs;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class SendMailToManyResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="SendMailToManyResponse", Namespace="http://tempuri.org/", Order=0)]
        public OperationalRiskException.Services.EmailReference.SendMailToManyResponseBody Body;
        
        public SendMailToManyResponse() {
        }
        
        public SendMailToManyResponse(OperationalRiskException.Services.EmailReference.SendMailToManyResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class SendMailToManyResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string SendMailToManyResult;
        
        public SendMailToManyResponseBody() {
        }
        
        public SendMailToManyResponseBody(string SendMailToManyResult) {
            this.SendMailToManyResult = SendMailToManyResult;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class SendMailAttachmentRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="SendMailAttachment", Namespace="http://tempuri.org/", Order=0)]
        public OperationalRiskException.Services.EmailReference.SendMailAttachmentRequestBody Body;
        
        public SendMailAttachmentRequest() {
        }
        
        public SendMailAttachmentRequest(OperationalRiskException.Services.EmailReference.SendMailAttachmentRequestBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class SendMailAttachmentRequestBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public OperationalRiskException.Services.EmailReference.FileAttach[] fileAttach;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=1)]
        public string recipient;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=2)]
        public string sender;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=3)]
        public string subject;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=4)]
        public string body;
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=5)]
        public OperationalRiskException.Services.EmailReference.ArrayOfString CopyP;
        
        public SendMailAttachmentRequestBody() {
        }
        
        public SendMailAttachmentRequestBody(OperationalRiskException.Services.EmailReference.FileAttach[] fileAttach, string recipient, string sender, string subject, string body, OperationalRiskException.Services.EmailReference.ArrayOfString CopyP) {
            this.fileAttach = fileAttach;
            this.recipient = recipient;
            this.sender = sender;
            this.subject = subject;
            this.body = body;
            this.CopyP = CopyP;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class SendMailAttachmentResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Name="SendMailAttachmentResponse", Namespace="http://tempuri.org/", Order=0)]
        public OperationalRiskException.Services.EmailReference.SendMailAttachmentResponseBody Body;
        
        public SendMailAttachmentResponse() {
        }
        
        public SendMailAttachmentResponse(OperationalRiskException.Services.EmailReference.SendMailAttachmentResponseBody Body) {
            this.Body = Body;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.Runtime.Serialization.DataContractAttribute(Namespace="http://tempuri.org/")]
    public partial class SendMailAttachmentResponseBody {
        
        [System.Runtime.Serialization.DataMemberAttribute(EmitDefaultValue=false, Order=0)]
        public string SendMailAttachmentResult;
        
        public SendMailAttachmentResponseBody() {
        }
        
        public SendMailAttachmentResponseBody(string SendMailAttachmentResult) {
            this.SendMailAttachmentResult = SendMailAttachmentResult;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface ServiceSoapChannel : OperationalRiskException.Services.EmailReference.ServiceSoap, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class ServiceSoapClient : System.ServiceModel.ClientBase<OperationalRiskException.Services.EmailReference.ServiceSoap>, OperationalRiskException.Services.EmailReference.ServiceSoap {
        
        public ServiceSoapClient() {
        }
        
        public ServiceSoapClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public ServiceSoapClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ServiceSoapClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ServiceSoapClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        OperationalRiskException.Services.EmailReference.SendMailResponse OperationalRiskException.Services.EmailReference.ServiceSoap.SendMail(OperationalRiskException.Services.EmailReference.SendMailRequest request) {
            return base.Channel.SendMail(request);
        }
        
        public string SendMail(string recipient, string sender, string subject, string body, OperationalRiskException.Services.EmailReference.ArrayOfString CCs) {
            OperationalRiskException.Services.EmailReference.SendMailRequest inValue = new OperationalRiskException.Services.EmailReference.SendMailRequest();
            inValue.Body = new OperationalRiskException.Services.EmailReference.SendMailRequestBody();
            inValue.Body.recipient = recipient;
            inValue.Body.sender = sender;
            inValue.Body.subject = subject;
            inValue.Body.body = body;
            inValue.Body.CCs = CCs;
            OperationalRiskException.Services.EmailReference.SendMailResponse retVal = ((OperationalRiskException.Services.EmailReference.ServiceSoap)(this)).SendMail(inValue);
            return retVal.Body.SendMailResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<OperationalRiskException.Services.EmailReference.SendMailResponse> OperationalRiskException.Services.EmailReference.ServiceSoap.SendMailAsync(OperationalRiskException.Services.EmailReference.SendMailRequest request) {
            return base.Channel.SendMailAsync(request);
        }
        
        public System.Threading.Tasks.Task<OperationalRiskException.Services.EmailReference.SendMailResponse> SendMailAsync(string recipient, string sender, string subject, string body, OperationalRiskException.Services.EmailReference.ArrayOfString CCs) {
            OperationalRiskException.Services.EmailReference.SendMailRequest inValue = new OperationalRiskException.Services.EmailReference.SendMailRequest();
            inValue.Body = new OperationalRiskException.Services.EmailReference.SendMailRequestBody();
            inValue.Body.recipient = recipient;
            inValue.Body.sender = sender;
            inValue.Body.subject = subject;
            inValue.Body.body = body;
            inValue.Body.CCs = CCs;
            return ((OperationalRiskException.Services.EmailReference.ServiceSoap)(this)).SendMailAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        OperationalRiskException.Services.EmailReference.SendMailToManyResponse OperationalRiskException.Services.EmailReference.ServiceSoap.SendMailToMany(OperationalRiskException.Services.EmailReference.SendMailToManyRequest request) {
            return base.Channel.SendMailToMany(request);
        }
        
        public string SendMailToMany(OperationalRiskException.Services.EmailReference.ArrayOfString recipients, string sender, string subject, string body, OperationalRiskException.Services.EmailReference.ArrayOfString CCs) {
            OperationalRiskException.Services.EmailReference.SendMailToManyRequest inValue = new OperationalRiskException.Services.EmailReference.SendMailToManyRequest();
            inValue.Body = new OperationalRiskException.Services.EmailReference.SendMailToManyRequestBody();
            inValue.Body.recipients = recipients;
            inValue.Body.sender = sender;
            inValue.Body.subject = subject;
            inValue.Body.body = body;
            inValue.Body.CCs = CCs;
            OperationalRiskException.Services.EmailReference.SendMailToManyResponse retVal = ((OperationalRiskException.Services.EmailReference.ServiceSoap)(this)).SendMailToMany(inValue);
            return retVal.Body.SendMailToManyResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<OperationalRiskException.Services.EmailReference.SendMailToManyResponse> OperationalRiskException.Services.EmailReference.ServiceSoap.SendMailToManyAsync(OperationalRiskException.Services.EmailReference.SendMailToManyRequest request) {
            return base.Channel.SendMailToManyAsync(request);
        }
        
        public System.Threading.Tasks.Task<OperationalRiskException.Services.EmailReference.SendMailToManyResponse> SendMailToManyAsync(OperationalRiskException.Services.EmailReference.ArrayOfString recipients, string sender, string subject, string body, OperationalRiskException.Services.EmailReference.ArrayOfString CCs) {
            OperationalRiskException.Services.EmailReference.SendMailToManyRequest inValue = new OperationalRiskException.Services.EmailReference.SendMailToManyRequest();
            inValue.Body = new OperationalRiskException.Services.EmailReference.SendMailToManyRequestBody();
            inValue.Body.recipients = recipients;
            inValue.Body.sender = sender;
            inValue.Body.subject = subject;
            inValue.Body.body = body;
            inValue.Body.CCs = CCs;
            return ((OperationalRiskException.Services.EmailReference.ServiceSoap)(this)).SendMailToManyAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        OperationalRiskException.Services.EmailReference.SendMailAttachmentResponse OperationalRiskException.Services.EmailReference.ServiceSoap.SendMailAttachment(OperationalRiskException.Services.EmailReference.SendMailAttachmentRequest request) {
            return base.Channel.SendMailAttachment(request);
        }
        
        public string SendMailAttachment(OperationalRiskException.Services.EmailReference.FileAttach[] fileAttach, string recipient, string sender, string subject, string body, OperationalRiskException.Services.EmailReference.ArrayOfString CopyP) {
            OperationalRiskException.Services.EmailReference.SendMailAttachmentRequest inValue = new OperationalRiskException.Services.EmailReference.SendMailAttachmentRequest();
            inValue.Body = new OperationalRiskException.Services.EmailReference.SendMailAttachmentRequestBody();
            inValue.Body.fileAttach = fileAttach;
            inValue.Body.recipient = recipient;
            inValue.Body.sender = sender;
            inValue.Body.subject = subject;
            inValue.Body.body = body;
            inValue.Body.CopyP = CopyP;
            OperationalRiskException.Services.EmailReference.SendMailAttachmentResponse retVal = ((OperationalRiskException.Services.EmailReference.ServiceSoap)(this)).SendMailAttachment(inValue);
            return retVal.Body.SendMailAttachmentResult;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<OperationalRiskException.Services.EmailReference.SendMailAttachmentResponse> OperationalRiskException.Services.EmailReference.ServiceSoap.SendMailAttachmentAsync(OperationalRiskException.Services.EmailReference.SendMailAttachmentRequest request) {
            return base.Channel.SendMailAttachmentAsync(request);
        }
        
        public System.Threading.Tasks.Task<OperationalRiskException.Services.EmailReference.SendMailAttachmentResponse> SendMailAttachmentAsync(OperationalRiskException.Services.EmailReference.FileAttach[] fileAttach, string recipient, string sender, string subject, string body, OperationalRiskException.Services.EmailReference.ArrayOfString CopyP) {
            OperationalRiskException.Services.EmailReference.SendMailAttachmentRequest inValue = new OperationalRiskException.Services.EmailReference.SendMailAttachmentRequest();
            inValue.Body = new OperationalRiskException.Services.EmailReference.SendMailAttachmentRequestBody();
            inValue.Body.fileAttach = fileAttach;
            inValue.Body.recipient = recipient;
            inValue.Body.sender = sender;
            inValue.Body.subject = subject;
            inValue.Body.body = body;
            inValue.Body.CopyP = CopyP;
            return ((OperationalRiskException.Services.EmailReference.ServiceSoap)(this)).SendMailAttachmentAsync(inValue);
        }
    }
}
